public inbox for gcc-help@gcc.gnu.org
 help / color / mirror / Atom feed
* Réf. : Re: Réf. : Re: Réf. : Re: errors during the build
@ 2005-07-12  7:19 Lionel Roux
  0 siblings, 0 replies; only message in thread
From: Lionel Roux @ 2005-07-12  7:19 UTC (permalink / raw)
  To: Ian Lance Taylor, gcc-help


I launched  make install
mv -f /usr/local/lib/./libiberty.an /usr/local/lib/./libiberty.a
if test -n ""; then \
  case "" in \
    /*)    thd=;; \
    *)     thd=/usr/local/include/;; \
  esac; \
  /bin/sh ../../gcc-4.0.0/libiberty/../mkinstalldirs ${thd}; \
  for h in ../../gcc-4.0.0/libiberty/../include/ansidecl.h ../../gcc-4.0.0
/libiberty/../include/demangle.h ../../gcc-4.0.0
/libiberty/../include/dyn-string.h ../../gcc-4.0.0
/libiberty/../include/fibheap.h ../../gcc-4.0.0
/libiberty/../include/floatformat.h ../../gcc-4.0.0
/libiberty/../include/hashtab.h ../../gcc-4.0.0
/libiberty/../include/libiberty.h ../../gcc-4.0.0
/libiberty/../include/objalloc.h ../../gcc-4.0.0
/libiberty/../include/partition.h ../../gcc-4.0.0
/libiberty/../include/safe-ctype.h ../../gcc-4.0.0
/libiberty/../include/sort.h ../../gcc-4.0.0
/libiberty/../include/splay-tree.h ../../gcc-4.0.0
/libiberty/../include/ternary.h; do \
    /app/C/gcc-4.0.0/install-sh -c -m 644 $h ${thd}; \
  done; \
fi
make[2]: Entering directory `/app/C/objgcc/libiberty/testsuite'
make[2]: Nothing to be done for `install'.
make[2]: Leaving directory `/app/C/objgcc/libiberty/testsuite'
make[1]: Leaving directory `/app/C/objgcc/libiberty'
/bin/sh: powerpc-ibm-aix5.2.0.0/libstdc++-v3:  not found


and now I have the following with gcc -v :
Using built-in specs.
Target: powerpc-ibm-aix5.2.0.0
Configured with: ./configure --prefix=/usr/local --bindir=/usr/local/bin
--sbindir=/usr/local/sbin --libexecdir=/usr/local/libexec
--datadir=/usr/local/share --libdir=/usr/local/lib
--includedir=/usr/local/include
Thread model: aix
gcc version 4.0.0

Is that OK ?


Lionel Roux
Mail lionel.roux@bio-rad.com




----- Réacheminé par Lionel Roux/Marnes/FR/BIO-RAD le 12/07/2005 09:17
-----
                                                                       
                      Lionel Roux                                      
                                               Pour :   Ian Lance Taylor <ian@airs.com>
                      12/07/2005 09:09         cc :     gcc-help@gcc.gnu.org, gcc-help-owner@gcc.gnu.org
                                               Objet :  Réf. : Re: Réf. : Re: Réf. : Re: errors during the build(Document link:
                                               Lionel Roux)            
                                                                       



Hello,
      Now I have the following errors during make bootstrap :


Bootstrap complete - make "quickstrap" to redo last build,
"restage1" through "restage3" to rebuild specific stages,
"restrap" to redo the bootstrap from stage1, or
"cleanstrap" to redo the bootstrap from scratch.
make[1]: Leaving directory `/app/C/objgcc/gcc'
Comparing stage2 and stage3 of the compiler
make[1]: Entering directory `/app/C/objgcc/gcc'
rm -f .bad_compare
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * )
stage=`echo slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'`
;; esac; \
for dir in . cp java objc build; do \
  if [ "`echo $dir/*.o`" != "$dir/*.o" ] ; then \
    for file in $dir/*.o; do \
      case "slowcompare" in \
        slowcompare* ) \
          tail +16c ./$file > tmp-foo1; \
          tail +16c stage$stage/$file > tmp-foo2 \
            && (cmp tmp-foo1 tmp-foo2 > /dev/null 2>&1 || echo $file
differs >> .bad_compare) || true; \
          ;; \
        fastcompare* ) \
          cmp $file stage$stage/$file 16 16 > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
        gnucompare* ) \
          cmp --ignore-initial=16 $file stage$stage/$file > /dev/null
2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
      esac ; \
    done; \
  else true; fi; \
done
rm -f tmp-foo*
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * )
stage=`echo slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'`
;; esac; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  case "slowcompare" in \
    *-lean ) rm -rf stage$stage ;; \
    *) ;; \
  esac; true; \
fi
Bootstrap comparison failure!
./fold-const.o differs
make[1]: *** [slowcompare] Error 1
make[1]: Leaving directory `/app/C/objgcc/gcc'
make: *** [bootstrap] Error 2

thanks for your help
Lionel Roux






                                                                       
                      Ian Lance Taylor                                 
                      <ian@airs.com>           Pour :    Lionel Roux/Marnes/FR/BIO-RAD@bio-rad.com
                      Envoyé par :             cc :      gcc-help@gcc.gnu.org
                      gcc-help-owner@gc        Objet :   Re: Réf. : Re: Réf. : Re: errors during the build
                      c.gnu.org                                        
                                                                       
                                                                       
                      12/07/2005 07:39                                 
                                                                       
                                                                       




Lionel Roux <Lionel.Roux@Bio-Rad.com> writes:

>       yes I use GCC make but now I have the following error during make
> install perhaps I need to launch make bootstrap ?

Yes, make bootstrap would be the thing to try, as recommended by the
install instructions.

Ian





^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2005-07-12  7:19 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2005-07-12  7:19 Réf. : Re: Réf. : Re: Réf. : Re: errors during the build Lionel Roux

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).